## org.apache.tools.zip
Interface UnixStat

All Known Implementing Classes:
  AsiExtraField

public interface UnixStat

Constants from stat.h on Unix systems.

Version:
  $Revision: 1.5 $
Author:
  Stefan Bodewig

Field Summary
`static int` `DEFAULT_DIR_PERM` Default permissions for directories.
`static int` `DEFAULT_FILE_PERM` Default permissions for plain files.
`static int` `DEFAULT_LINK_PERM` Default permissions for symbolic links.
`static int` `DIR_FLAG` Indicates directories.
`static int` `FILE_FLAG` Indicates plain files.
`static int` `LINK_FLAG` Indicates symbolic links.
`static int` `PERM_MASK` Bits used for permissions (and sticky bit)

Field Detail

### PERM_MASK

    public static final int PERM_MASK

  Bits used for permissions (and sticky bit)

  Since:
    1.1
  See Also:
    Constant Field Values

### LINK_FLAG

    public static final int LINK_FLAG

  Indicates symbolic links.

  Since:
    1.1
  See Also:
    Constant Field Values

### FILE_FLAG

    public static final int FILE_FLAG

  Indicates plain files.

  Since:
    1.1
  See Also:
    Constant Field Values

### DIR_FLAG

    public static final int DIR_FLAG

  Indicates directories.

  Since:
    1.1
  See Also:
    Constant Field Values

### DEFAULT_LINK_PERM

    public static final int DEFAULT_LINK_PERM

  Default permissions for symbolic links.

  Since:
    1.1
  See Also:
    Constant Field Values

### DEFAULT_DIR_PERM

    public static final int DEFAULT_DIR_PERM

  Default permissions for directories.

  Since:
    1.1
  See Also:
    Constant Field Values

### DEFAULT_FILE_PERM

    public static final int DEFAULT_FILE_PERM

  Default permissions for plain files.

  Since:
    1.1
  See Also:
    Constant Field Values

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.